Bug 230346 - Crash after browsing through Album
Summary: Crash after browsing through Album
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-11 18:26 UTC by Andreas Bank
Modified: 2017-08-08 11:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Bank 2010-03-11 18:26:32 UTC
Application that crashed: digikam
Version of the application: 1.1.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-20-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
After I assigned a Tag to a RAW File (Nikon *.nef) I switched to the next Image of the Album by using the page down key. Then the app crashed

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb788c920 (LWP 2473))]

Thread 18 (Thread 0xb618eb70 (LWP 2481)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0x8e263d8, mutex=0x8e263d4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8e263d8, mutex=0x8e263d4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0831c624 in Digikam::ScanController::run (this=0x8dae698) at /build/buildd/digikam-1.1.0/digikam/scancontroller.cpp:502
#6  0x0714fe32 in QThreadPrivate::start (arg=0x8dae698) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 17 (Thread 0xb56ffb70 (LWP 2512)):
#0  0x01f62e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x0726cbf3 in QTimerInfoList::getTime (this=0x90c684c, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x0726cde1 in QTimerInfoList::updateCurrentTime (this=0x90c684c) at kernel/qeventdispatcher_unix.cpp:297
#3  0x0726d88c in QTimerInfoList::timerWait (this=0x90c684c, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x0726b210 in timerSourcePrepare (source=0x90c6818, timeout=0xb56ff11c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x01e80f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x01e81351 in ?? () from /lib/libglib-2.0.so.0
#7  0x01e81863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x0726b067 in QEventDispatcherGlib::processEvents (this=0x8e43048, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x0723ec79 in QEventLoop::processEvents (this=0xb56ff2e4, flags=) at kernel/qeventloop.cpp:149
#10 0x0723f0ca in QEventLoop::exec (this=0xb56ff2e4, flags=...) at kernel/qeventloop.cpp:201
#11 0x0714cb73 in QThread::exec (this=0x90c4ea8) at thread/qthread.cpp:487
#12 0x0038effd in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#13 0x0714fe32 in QThreadPrivate::start (arg=0x90c4ea8) at thread/qthread_unix.cpp:188
#14 0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xb4ac0b70 (LWP 2513)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x02439c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x01e8e54b in g_poll () from /lib/libglib-2.0.so.0
#3  0x01e8156b in ?? () from /lib/libglib-2.0.so.0
#4  0x01e81863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0726b067 in QEventDispatcherGlib::processEvents (this=0x8f47098, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x0723ec79 in QEventLoop::processEvents (this=0xb4ac02e4, flags=) at kernel/qeventloop.cpp:149
#7  0x0723f0ca in QEventLoop::exec (this=0xb4ac02e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x0714cb73 in QThread::exec (this=0x90c1768) at thread/qthread.cpp:487
#9  0x0038effd in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#10 0x0714fe32 in QThreadPrivate::start (arg=0x90c1768) at thread/qthread_unix.cpp:188
#11 0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb3fffb70 (LWP 2514)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0x92db7e0, mutex=0x92db7dc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x92db7e0, mutex=0x92db7dc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0x92db7d0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0x92db7d0) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb37feb70 (LWP 2515)):
#0  0x00a91d5c in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x02454a46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x01e8160f in ?? () from /lib/libglib-2.0.so.0
#3  0x01e81863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0726b067 in QEventDispatcherGlib::processEvents (this=0x932ae50, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#5  0x0723ec79 in QEventLoop::processEvents (this=0xb37fe304, flags=) at kernel/qeventloop.cpp:149
#6  0x0723f0ca in QEventLoop::exec (this=0xb37fe304, flags=...) at kernel/qeventloop.cpp:201
#7  0x0714cb73 in QThread::exec (this=0x9327128) at thread/qthread.cpp:487
#8  0x0714fe32 in QThreadPrivate::start (arg=0x9327128) at thread/qthread_unix.cpp:188
#9  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb2ffdb70 (LWP 2516)):
#0  0x01f62e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x0726cbf3 in QTimerInfoList::getTime (this=0xb57e884c, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x0726cde1 in QTimerInfoList::updateCurrentTime (this=0xb57e884c) at kernel/qeventdispatcher_unix.cpp:297
#3  0x0726d88c in QTimerInfoList::timerWait (this=0xb57e884c, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x0726b210 in timerSourcePrepare (source=0xb57e8818, timeout=0xb2ffd13c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x01e80f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x01e81351 in ?? () from /lib/libglib-2.0.so.0
#7  0x01e81863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x0726b067 in QEventDispatcherGlib::processEvents (this=0xb57c4550, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x0723ec79 in QEventLoop::processEvents (this=0xb2ffd304, flags=) at kernel/qeventloop.cpp:149
#10 0x0723f0ca in QEventLoop::exec (this=0xb2ffd304, flags=...) at kernel/qeventloop.cpp:201
#11 0x0714cb73 in QThread::exec (this=0x932a388) at thread/qthread.cpp:487
#12 0x0714fe32 in QThreadPrivate::start (arg=0x932a388) at thread/qthread_unix.cpp:188
#13 0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb27fcb70 (LWP 2517)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0x9338188, mutex=0x9338184, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9338188, mutex=0x9338184, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0x9338178) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0x9338178) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb01fbb70 (LWP 2518)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a94142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x024548d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x065429ff in ?? () from /usr/lib/libxine.so.1
#4  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xaf5efb70 (LWP 2519)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x02440a71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x0656bbe0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x06550011 in ?? () from /usr/lib/libxine.so.1
#4  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xaedeeb70 (LWP 2520)):
#0  0x01f62e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x0726cbf3 in QTimerInfoList::getTime (this=0x98d1634, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x0726cde1 in QTimerInfoList::updateCurrentTime (this=0x98d1634) at kernel/qeventdispatcher_unix.cpp:297
#3  0x0726d88c in QTimerInfoList::timerWait (this=0x98d1634, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x0726b210 in timerSourcePrepare (source=0x98d1600, timeout=0xaedee0ec) at kernel/qeventdispatcher_glib.cpp:141
#5  0x01e80f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x01e81351 in ?? () from /lib/libglib-2.0.so.0
#7  0x01e81863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x0726b067 in QEventDispatcherGlib::processEvents (this=0x98d0240, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x0723ec79 in QEventLoop::processEvents (this=0xaedee2b4, flags=) at kernel/qeventloop.cpp:149
#10 0x0723f0ca in QEventLoop::exec (this=0xaedee2b4, flags=...) at kernel/qeventloop.cpp:201
#11 0x0714cb73 in QThread::exec (this=0x98cfe30) at thread/qthread.cpp:487
#12 0x0265720a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x0714fe32 in QThreadPrivate::start (arg=0x98cfe30) at thread/qthread_unix.cpp:188
#14 0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xaa5e2b70 (LWP 2526)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x02439c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x0288ac3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xa9de1b70 (LWP 2527)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x065535ee in ?? () from /usr/lib/libxine.so.1
#4  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xac9fcb70 (LWP 2537)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0x9c824a0, mutex=0x9c8249c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9c824a0, mutex=0x9c8249c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0x9c82490) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0x9c82490) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa95e0b70 (LWP 2547)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0x9ddae38, mutex=0x9ddae34, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ddae38, mutex=0x9ddae34, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0x9ddae28) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0x9ddae28) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xab7feb70 (LWP 2548)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0xa08a7b0, mutex=0xa08a7ac, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa08a7b0, mutex=0xa08a7ac, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0xa08a7a0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0xa08a7a0) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xa59d5b70 (LWP 2938)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0xb24b880, mutex=0xb24b87c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb24b880, mutex=0xb24b87c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0xb24b870) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0xb24b870) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xad3fdb70 (LWP 2939)):
#0  0x00487422 in __kernel_vsyscall ()
#1  0x00a93e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0245487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07150e67 in QWaitConditionPrivate::wait (this=0xae0e4a98, mutex=0xae0e4a94, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xae0e4a98, mutex=0xae0e4a94, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05dc85ba in Digikam::LoadSaveThread::run (this=0xae0e4a88) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x0714fe32 in QThreadPrivate::start (arg=0xae0e4a88) at thread/qthread_unix.cpp:188
#7  0x00a8f80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x024478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb788c920 (LWP 2473)):
[KCrash Handler]
#6  0x071938e5 in QString::size (this=0xa89051b8, other=...) at ../../include/QtCore/../../src/corelib/tools/qstring.h:104
#7  QString::operator== (this=0xa89051b8, other=...) at tools/qstring.cpp:1912
#8  0x07b98daf in KDirWatchPrivate::Entry::findSubEntry (this=0x8e20bd0) at ../../kio/kio/kdirwatch_p.h:157
#9  KDirWatchPrivate::inotifyEventReceived (this=0x8e20bd0) at ../../kio/kio/kdirwatch.cpp:297
#10 0x07b9a4cb in KDirWatchPrivate::qt_metacall (this=0x8e20bd0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfeaa8e8) at ./kdirwatch_p.moc:75
#11 0x07256263 in QMetaObject::activate (sender=0x8e07a30, from_signal_index=4, to_signal_index=4, argv=0xbfeaa8e8) at kernel/qobject.cpp:3113
#12 0x07256ec2 in QMetaObject::activate (sender=0x8e07a30, m=0x73318b0, local_signal_index=0, argv=0xbfeaa8e8) at kernel/qobject.cpp:3187
#13 0x07290503 in QSocketNotifier::activated (this=0x8e07a30, _t1=14) at .moc/release-shared/moc_qsocketnotifier.cpp:83
#14 0x0725ac87 in QSocketNotifier::event (this=0x8e07a30, e=0xbfeaaca4) at kernel/qsocketnotifier.cpp:316
#15 0x052c8f54 in QApplicationPrivate::notify_helper (this=0x8c76a68, receiver=0x8e07a30, e=0xbfeaaca4) at kernel/qapplication.cpp:4056
#16 0x052d067c in QApplication::notify (this=0xbfeaaff8, receiver=0x8e07a30, e=0xbfeaaca4) at kernel/qapplication.cpp:3603
#17 0x0152f25a in KApplication::notify (this=0xbfeaaff8, receiver=0x8e07a30, event=0xbfeaaca4) at ../../kdeui/kernel/kapplication.cpp:302
#18 0x072406cb in QCoreApplication::notifyInternal (this=0xbfeaaff8, receiver=0x8e07a30, event=0xbfeaaca4) at kernel/qcoreapplication.cpp:610
#19 0x0726b2ca in QCoreApplication::sendEvent (source=0x8c79868) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 socketNotifierSourceDispatch (source=0x8c79868) at kernel/qeventdispatcher_glib.cpp:110
#21 0x01e7de88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#22 0x01e81730 in ?? () from /lib/libglib-2.0.so.0
#23 0x01e81863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#24 0x0726b02c in QEventDispatcherGlib::processEvents (this=0x8c50e80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#25 0x05369be5 in QGuiEventDispatcherGlib::processEvents (this=0x8c50e80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#26 0x0723ec79 in QEventLoop::processEvents (this=0xbfeaaf44, flags=) at kernel/qeventloop.cpp:149
#27 0x0723f0ca in QEventLoop::exec (this=0xbfeaaf44, flags=...) at kernel/qeventloop.cpp:201
#28 0x0724153f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#29 0x052c8dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#30 0x083c322b in main (argc=1, argv=0xbfeab464) at /build/buildd/digikam-1.1.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-03-11 19:43:27 UTC

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 2 caulier.gilles 2017-07-19 03:49:46 UTC
Problem not reproducible since digiKam 5.0.0 as KDirWatch has been ported to
QFileSystemWatcher